> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ntropy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ntropy.com/_mcp/server.

# List all bank statements

GET https://api.ntropy.com/v3/bank_statements

Return a list of submitted bank statements starting with the most recent one.

Reference: https://docs.ntropy.com/documentation/api/bank-statements/get-bank-statements-v-3-bank-statements-get

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Query parameters

- `created_after` (datetime, optional, nullable) — Only return bank statements older or equal than this date
- `created_before` (datetime, optional, nullable) — Only return bank statements newer than this date
- `cursor` (string, optional, nullable) — Starting point for the set of bank statements
- `limit` (integer, optional, default: 10) — The limit of bank statements to be returned
- `status` (enum, optional, nullable) — If specified, only return bank statements with this status
  - Allowed values: `queued`, `processing`, `processed`, `failed`

## Response

### 200

Successful Response

- `next_cursor` (string, required, nullable)
- `data` (list of BankStatement, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### BankStatement

Represents a bank statement with details about the file and its status.

- `id` (string, required) — A unique identifier for the bank statement job.
- `status` (enum, required) — The current status of the document.
  - Allowed values: `processing`, `completed`, `error`
- `created_at` (datetime, required) — The date and time when the job was created.
- `file` (BankStatementFile, required) — Information about the bank statement file being processed.
- `name` (string, optional, nullable) — The name of the bank statement file, if available.
- `error` (BankStatementError, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### BankStatementFile

- `no_pages` (integer, required) — The number of pages in the bank statement file.
- `size` (integer, optional, nullable) — The size of the bank statement file in bytes, if available.

### BankStatementError

- `code` (enum, required)
  - Allowed values: `invalid_bank_statement`, `internal_error`
- `message` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "next_cursor": "XjdHaksD",
  "data": [
    {
      "id": "7f8dceac-2848-472d-b5c3-55cdbaf35a9b",
      "status": "processing",
      "created_at": "2024-01-01T00:00:00",
      "file": {
        "no_pages": 1,
        "size": 4096
      },
      "name": "2014-01-01_2014-02-01_statement.pdf"
    }
  ]
}
```

**SDK Code**

```python Python SDK
from ntropy_sdk import SDK

sdk = SDK("cd1H...Wmhl")
for bs in sdk.bank_statements.list().auto_paginate():
    ...
```

```javascript
const url = 'https://api.ntropy.com/v3/bank_statements';
const options = {method: 'GET', headers: {'X-Api-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ntropy.com/v3/bank_statements"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.ntropy.com/v3/bank_statements")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.ntropy.com/v3/bank_statements")
  .header("X-Api-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.ntropy.com/v3/bank_statements', [
  'headers' => [
    'X-Api-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.ntropy.com/v3/bank_statements");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Api-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ntropy.com/v3/bank_statements")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```